Subject: Re: [PATCH net-next-2.6] net: sock_def_readable() and friends RCU conversion

From: David Miller <[email-masked]>
Date: Sat, 01 May 2010 15:00:34 -0700 (PDT)

From: Eric Dumazet <[email-masked]>
Date: Sat, 01 May 2010 10:03:31 +0200

> David, I also need this RCU thing in order to be able to group all
> wakeups at the end of net_rx_action().
> 
> Plan was to use RCU, so that I dont need to increase sk_refcnt when
> queueing a "wakeup" (and decrease sk_refcnt a long time after)
> 
> Previous attempt was a bit hacky,
> http://patchwork.ozlabs.org/patch/24179/
> 
> I expect 2010 one will be cleaner :)

Fair enough, I'm convinced now, applied thanks!